For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/inbox/messages/post-api-inbox-v1messages-send.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

Send Email

POST
/api/inbox/v1/messages/send
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { message, messageError } = await reloop.inbox.messages.send({
6 mailboxId: "mbx_123456789",
7 to: "user@example.com",
8 subject: "Hello from Reloop Inbox",
9 html: "<p>Thanks for reaching out.</p>",
10});
11if (messageError) throw messageError;
1{
2 "success": true,
3 "messageId": "example_messageId",
4 "status": "example_status",
5 "timestamp": "example_timestamp",
6 "id": "con_123456789"
7}

Body Parameters

mailboxIdstringRequired

Sender Mailbox ID

tostring | string[]Required

Recipient email address(es)

Example: ["value1", "value2"]

subjectstringRequired

Email subject

textstring

Plain text body content

htmlstring

HTML body content

ccstring | string[]

CC recipient address(es)

Example: ["value1", "value2"]

bccstring | string[]

BCC recipient address(es)

Example: ["value1", "value2"]

Was this page helpful?